    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class java.awt.Dialog

    java.lang.Object
       |
       +----java.awt.Component
               |
               +----java.awt.Container
                       |
                       +----java.awt.Window
                               |
                               +----java.awt.Dialog

public class Dialog
extends Window

A class that produces a dialog - a window that takes input from the user. The default layout for a dialog is BorderLayout.

Dialogs are capable of generating the following window events: WindowOpened, WindowClosing, WindowClosed, WindowActivated, WindowDeactivated.

See Also:
  WindowEvent, addWindowListener

##

Dialog(Frame)
  Constructs an initially invisible Dialog with an empty title.
Dialog(Frame, boolean)
  Constructs an initially invisible Dialog with an empty title.
Dialog(Frame, String)
  Constructs an initially invisible Dialog with a title.
Dialog(Frame, String, boolean)
  Constructs an initially invisible Dialog with a title.

##

addNotify()
  Creates the dialog's peer.
getTitle()
  Gets the title of the dialog.
isModal()
  Indicates whether the dialog is modal.
isResizable()
  Indicates whether this dialog window is resizable.
paramString()
  Returns the parameter string representing the state of this dialog window.
setModal(boolean)
  Specifies whether this dialog is modal.
setResizable(boolean)
  Sets the resizable flag.
setTitle(String)
  Sets the title of the Dialog.
show()
  Shows the dialog.

##

Dialog

     public Dialog(Frame parent)

  Constructs an initially invisible Dialog with an empty title.

  Parameters:
    parent - the owner of the dialog
  See Also:
    setSize, setVisible

Dialog

     public Dialog(Frame parent,
                   boolean modal)

  Constructs an initially invisible Dialog with an empty title. A modal Dialog grabs all the input to the parent frame from the user.

  Parameters:
    parent - the owner of the dialog
    modal - if true, dialog blocks input to the parent window when shown

Dialog

     public Dialog(Frame parent,
                   String title)

  Constructs an initially invisible Dialog with a title.

  Parameters:
    parent - the owner of the dialog
    title - the title of the dialog
  See Also:
    setSize, setVisible

Dialog

     public Dialog(Frame parent,
                   String title,
                   boolean modal)

  Constructs an initially invisible Dialog with a title. A modal Dialog grabs all the input to the parent frame from the user.

  Parameters:
    parent - the owner of the dialog
    title - the title of the dialog
    modal - if true, dialog blocks input to the parent window when shown
  See Also:
    setSize, setVisible

##

addNotify

     public void addNotify()

  Creates the dialog's peer. The peer allows us to change the appearance of the frame without changing its functionality.

  Overrides:
    addNotify in class Window

isModal

     public boolean isModal()

  Indicates whether the dialog is modal. A modal dialog grabs all input from the user.

  Returns:
    `true` if this dialog window is modal; `false` otherwise.
  See Also:
    setModal

setModal

     public void setModal(boolean b)

  Specifies whether this dialog is modal. A modal Dialog grabs all the input to the parent frame from the user.

  See Also:
    isModal

getTitle

     public String getTitle()

  Gets the title of the dialog.

  Returns:
    the title of this dialog window.
  See Also:
    setTitle

setTitle

     public synchronized void setTitle(String title)

  Sets the title of the Dialog.

  Parameters:
    title - the new title being given to the dialog
  See Also:
    getTitle

show

     public void show()

  Shows the dialog. This will bring the dialog to the front if the dialog is already visible. If the dialog is modal, this call will block input to the parent window until the dialog is taken down by calling hide or dispose. It is permissible to show modal dialogs from the event dispatching thread because the toolkit will ensure that another dispatching thread will run while the one which invoked show is blocked.

  Overrides:
    show in class Window
  See Also:
    hide

isResizable

     public boolean isResizable()

  Indicates whether this dialog window is resizable.

  Returns:
    `true` if the user can resize the dialog; `false` otherwise.
  See Also:
    setResizable

setResizable

     public synchronized void setResizable(boolean resizable)

  Sets the resizable flag.

  Parameters:
    resizable - `true` if the user can resize this dialog; `false` otherwise.
  See Also:
    isResizable

paramString

     protected String paramString()

  Returns the parameter string representing the state of this dialog window. This string is useful for debugging.

  Returns:
    the parameter string of this dialog window.
  Overrides:
    paramString in class Container

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.